
%define name	vaapi-driver-vdpau
%define oname	libva-vdpau-driver
%define version	0.7.4
%define snap	0
%define rel	4

Summary:	VA-API driver for VDPAU interface
Name:		%{name}
Version:	%{version}
%if %snap
Release:	%mkrel 3.git%snap.%rel
%else
Release:	%mkrel %rel
%endif
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/
%if %snap
# http://cgit.freedesktop.org/vaapi/vdpau-driver/
# git archive --prefix vdpau-video-20120224/ master | xz > ../vdpau-video-20120224.tar.xz
Source:		%{oname}-%{snap}.tar.xz
%else
Source:		http://www.freedesktop.org/software/vaapi/releases/libva-vdpau-driver/%{oname}-%{version}.tar.bz2
%endif
# (tv) fix compiling with mesa-9:
Patch0:		fix-compiling.diff
Patch1:		no-H264-buffer-type.patch
BuildRequires:	libva-devel
BuildRequires:	vdpau-devel
Provides:	%oname

%description
VDPAU driver backend for VA API, a video acceleration API.

%prep
%if %snap
%setup -q -n %oname-%snap
%else
%setup -q -n %oname-%version
%endif
%apply_patches

%build
%if %snap
./autogen.sh
%endif
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/dri/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_libdir}/dri/*_drv_video.so


%changelog
* Wed Dec 25 2013 pterjan <pterjan> 0.7.4-4.mga4
+ Revision: 560610
- Fix build

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.7.4-2.mga3
+ Revision: 385220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 11 2012 tv <tv> 0.7.4-1.mga3
+ Revision: 304636
- patch 0: fix compiling with mesa-9
- fix group
- new group
- new release

* Tue Mar 06 2012 anssi <anssi> 0.7.3-3.git20120224.1.mga2
+ Revision: 219450
- new git snapshot

* Fri May 13 2011 ahmad <ahmad> 0.7.3-2.mga1
+ Revision: 98037
- Drop the video-mesa patch, looks fixed upstream and the package does build
  without it

* Fri May 13 2011 ahmad <ahmad> 0.7.3-1.mga1
+ Revision: 98032
- Update to 0.7.3
- Rediff the video-mesa patch
- Adjust the files list, libs are now in {_libdir}/dri/

  + mikala <mikala>
    - imported package vaapi-driver-vdpau


* Wed Nov 17 2010 Anssi Hannula <anssi@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 598479
- new version
- fix build with current mesa (mesa.patch)

* Mon Jul 19 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-3mdv2011.0
+ Revision: 555025
- rebuild for new libva

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-2mdv2011.0
+ Revision: 551466
- add provides on  vdpau-video

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-1mdv2011.0
+ Revision: 551392
- initial Mandriva release

